org.apache.sling.hc.api

## Enum Result.Status

- java.lang.Object
- - java.lang.Enum<Result.Status>
  - - org.apache.sling.hc.api.Result.Status

All Implemented Interfaces:
  Serializable, Comparable<Result.Status>

Enclosing class:
  Result

    public static enum Result.Status
    extends Enum<Result.Status>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CRITICAL`
`DEBUG`
`HEALTH_CHECK_ERROR`
`INFO`
`OK`
`WARN`

### Method Summary

All Methods Static Methods Concrete Methods
`static Result.Status` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Result.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEBUG

    public static final Result.Status DEBUG

#### INFO

    public static final Result.Status INFO

#### OK

    public static final Result.Status OK

#### WARN

    public static final Result.Status WARN

#### CRITICAL

    public static final Result.Status CRITICAL

#### HEALTH_CHECK_ERROR

    public static final Result.Status HEALTH_CHECK_ERROR

### Method Detail

#### values

    public static Result.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Result.Status c : Result.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Result.Status valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null